# ComponentMeterFigure (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ComponentMeterFigure

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.nebula.visualization.widgets.figures.AbstractScaledWidgetFigure
    - - org.eclipse.nebula.visualization.widgets.figures.AbstractMarkedWidgetFigure
      - - org.eclipse.nebula.visualization.widgets.figures.AbstractRoundRampedFigure
        - - org.deidentifier.arx.gui.view.impl.common.ComponentMeterFigure

- All Implemented Interfaces:
    org.eclipse.draw2d.IFigure, org.eclipse.nebula.visualization.internal.widgets.introspection.Introspectable

      public class ComponentMeterFigure
      extends org.eclipse.nebula.visualization.widgets.figures.AbstractRoundRampedFigure

  The figure of Express Meter. Adapted for ARX by fabian.prasser@gmail.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

      `org.eclipse.draw2d.Figure.FigureIterator, org.eclipse.draw2d.Figure.IdentitySearch`

    - ### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

      `org.eclipse.draw2d.IFigure.NoInsets`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static double` | `ALPHA`
    `static double` | `HW_RATIO`
    `static int` | `NEEDLE_WIDTH`

    - ### Fields inherited from class org.eclipse.nebula.visualization.widgets.figures.AbstractRoundRampedFigure

      `gradient, ramp`

    - ### Fields inherited from class org.eclipse.nebula.visualization.widgets.figures.AbstractMarkedWidgetFigure

      `hiColor, hihiColor, hihiLevel, hiLevel, loColor, loLevel, loloColor, loloLevel, showHi, showHihi, showLo, showLolo, showMarkers`

    - ### Fields inherited from class org.eclipse.nebula.visualization.widgets.figures.AbstractScaledWidgetFigure

      `logScale, majorTickMarkStepHint, maximum, minimum, scale, showMinorTicks, showScale, transparent, value, valueLabelFormat`

    - ### Fields inherited from class org.eclipse.draw2d.Figure

      `bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

    - ### Fields inherited from interface org.eclipse.draw2d.IFigure

      `MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentMeterFigure()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.beans.BeanInfo` | `getBeanInfo()`
    `org.eclipse.swt.graphics.Color` | `getNeedleColor()`
    `void` | `setBounds(org.eclipse.draw2d.geometry.Rectangle rect)`
    `void` | `setNeedleColor(org.eclipse.swt.graphics.Color needleColor)`
    `void` | `setShowMarkers(boolean showMarkers)`
    `void` | `setValue(double value)`
    `void` | `setValueLabelVisibility(boolean visible)`

    - ### Methods inherited from class org.eclipse.nebula.visualization.widgets.figures.AbstractRoundRampedFigure

      `isGradient, setGradient, setHiColor, setHihiColor, setHihiLevel, setHiLevel, setLoColor, setLogScale, setLoLevel, setLoloColor, setLoloLevel, setRange, setShowHi, setShowHihi, setShowLo, setShowLolo`

    - ### Methods inherited from class org.eclipse.nebula.visualization.widgets.figures.AbstractMarkedWidgetFigure

      `getHiColor, getHihiColor, getHihiLevel, getHiLevel, getLoColor, getLoLevel, getLoloColor, getLoloLevel, isShowHi, isShowHihi, isShowLo, isShowLolo, isShowMarkers`

    - ### Methods inherited from class org.eclipse.nebula.visualization.widgets.figures.AbstractScaledWidgetFigure

      `getCoercedValue, getCoercedValue, getMajorTickMarkStepHint, getMaximum, getMinimum, getRange, getScale, getValue, getValueLabelFormat, getValueText, isLogScale, isOpaque, isShowMinorTicks, isShowScale, isTransparent, paintFigure, setMajorTickMarkStepHint, setRange, setScale, setShowMinorTicks, setShowScale, setTransparent, setValueLabelFormat`

    - ### Methods inherited from class org.eclipse.draw2d.Figure

      `add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NEEDLE_WIDTH

          public static final int NEEDLE_WIDTH

      See Also:
        Constant Field Values

    - #### ALPHA

          public static final double ALPHA

      See Also:
        Constant Field Values

    - #### HW_RATIO

          public static final double HW_RATIO

  - ### Constructor Detail

    - #### ComponentMeterFigure

          public ComponentMeterFigure()

  - ### Method Detail

    - #### getBeanInfo

          public java.beans.BeanInfo getBeanInfo()
                                          throws java.beans.IntrospectionException

      Specified by:
        `getBeanInfo` in interface `org.eclipse.nebula.visualization.internal.widgets.introspection.Introspectable`
      Overrides:
        `getBeanInfo` in class `org.eclipse.nebula.visualization.widgets.figures.AbstractScaledWidgetFigure`
      Throws:
        `java.beans.IntrospectionException`

    - #### getNeedleColor

          public org.eclipse.swt.graphics.Color getNeedleColor()

      Returns:
        color of the needle.

    - #### setBounds

          public void setBounds(org.eclipse.draw2d.geometry.Rectangle rect)

      Specified by:
        `setBounds` in interface `org.eclipse.draw2d.IFigure`
      Overrides:
        `setBounds` in class `org.eclipse.draw2d.Figure`

    - #### setNeedleColor

          public void setNeedleColor(org.eclipse.swt.graphics.Color needleColor)

      Parameters:
        `needleColor` - the needleColor to set

    - #### setShowMarkers

          public void setShowMarkers(boolean showMarkers)

      Overrides:
        `setShowMarkers` in class `org.eclipse.nebula.visualization.widgets.figures.AbstractRoundRampedFigure`

    - #### setValue

          public void setValue(double value)

      Overrides:
        `setValue` in class `org.eclipse.nebula.visualization.widgets.figures.AbstractScaledWidgetFigure`

    - #### setValueLabelVisibility

          public void setValueLabelVisibility(boolean visible)